Bug 1271364 - [abrt] evolution-data-server: g_mutex_lock(): evolution-calendar-factory-subprocess killed by SIGSEGV
[abrt] evolution-data-server: g_mutex_lock(): evolution-calendar-factory-subp...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:164b6e1882de2f6147e8caef1ae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 14:36 EDT by Philip Southam
Modified: 2016-12-20 09:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:59:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.12 KB, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: core_backtrace (23.07 KB, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: dso_list (17.86 KB, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: environ (864 bytes, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: maps (84.30 KB, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: mountinfo (3.63 KB, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: open_fds (1.09 KB, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details
File: proc_pid_status (1022 bytes, text/plain)
2015-10-13 14:36 EDT, Philip Southam
no flags Details

  None (edit)
Description Philip Southam 2015-10-13 14:36:10 EDT
Version-Release number of selected component:
evolution-data-server-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory-subprocess --factory ews --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx10548x4 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/Calendar/10548/4
crash_function: g_mutex_lock
executable:     /usr/libexec/evolution-calendar-factory-subprocess
global_pid:     11112
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_mutex_lock at gthread-posix.c:1338
 #1 g_source_attach at gmain.c:1171
 #2 soup_add_timeout at soup-misc.c:177
 #3 start_idle_timer at soup-connection.c:240
 #4 soup_connection_set_state at soup-connection.c:682
 #5 soup_session_unqueue_item at soup-session.c:1540
 #6 soup_session_process_queue_item at soup-session.c:2098
 #7 async_run_queue at soup-session.c:2139
 #8 idle_run_queue at soup-session.c:2173
 #13 e_ews_soup_thread at e-ews-connection.c:1732
Comment 1 Philip Southam 2015-10-13 14:36:12 EDT
Created attachment 1082588 [details]
File: backtrace
Comment 2 Philip Southam 2015-10-13 14:36:13 EDT
Created attachment 1082589 [details]
File: cgroup
Comment 3 Philip Southam 2015-10-13 14:36:14 EDT
Created attachment 1082590 [details]
File: core_backtrace
Comment 4 Philip Southam 2015-10-13 14:36:14 EDT
Created attachment 1082591 [details]
File: dso_list
Comment 5 Philip Southam 2015-10-13 14:36:15 EDT
Created attachment 1082592 [details]
File: environ
Comment 6 Philip Southam 2015-10-13 14:36:16 EDT
Created attachment 1082593 [details]
File: exploitable
Comment 7 Philip Southam 2015-10-13 14:36:17 EDT
Created attachment 1082594 [details]
File: limits
Comment 8 Philip Southam 2015-10-13 14:36:17 EDT
Created attachment 1082595 [details]
File: maps
Comment 9 Philip Southam 2015-10-13 14:36:18 EDT
Created attachment 1082596 [details]
File: mountinfo
Comment 10 Philip Southam 2015-10-13 14:36:19 EDT
Created attachment 1082597 [details]
File: namespaces
Comment 11 Philip Southam 2015-10-13 14:36:20 EDT
Created attachment 1082598 [details]
File: open_fds
Comment 12 Philip Southam 2015-10-13 14:36:20 EDT
Created attachment 1082599 [details]
File: proc_pid_status
Comment 13 Milan Crha 2015-10-15 04:24:52 EDT
Thanks for a bug report. The only thing I see in the backtrace is that the crash happened inside an evolution-ews calendar, but why or what happened I do not see. By any chance, are you able to reproduce the crash, please? Do you know what you did before the crash, please?
Comment 14 Fedora End Of Life 2016-11-24 07:46:55 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 09:59:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.